document.addEventListener('DOMContentLoaded', () => {
    createSnowfall();
});

function createSnowfall() {
    const snowfall = document.querySelector('.snowfall');
    const snowflakeCount = 50;

    for (let i = 0; i < snowflakeCount; i++) {
        createSnowflake(snowfall);
    }
}

function createSnowflake(container) {
    const snowflake = document.createElement('div');
    snowflake.style.position = 'absolute';
    snowflake.style.color = 'white';
    snowflake.style.userSelect = 'none';
    snowflake.style.fontSize = `${Math.random() * 10 + 5}px`;
    snowflake.innerHTML = '❄';
    
    const startPositionLeft = Math.random() * window.innerWidth;
    const animationDuration = Math.random() * 3 + 2;
    const opacity = Math.random() * 0.6 + 0.4;
    
    snowflake.style.left = `${startPositionLeft}px`;
    snowflake.style.top = '-20px';
    snowflake.style.opacity = opacity;
    
    container.appendChild(snowflake);
    
    function animateSnowflake() {
        let currentTop = -20;
        let currentLeft = startPositionLeft;
        
        function update() {
            currentTop += 1;
            currentLeft += Math.sin(currentTop * 0.05) * 0.5;
            
            snowflake.style.top = `${currentTop}px`;
            snowflake.style.left = `${currentLeft}px`;
            
            if (currentTop > window.innerHeight) {
                currentTop = -20;
                currentLeft = Math.random() * window.innerWidth;
            }
            
            requestAnimationFrame(update);
        }
        
        update();
    }
    
    animateSnowflake();
}

window.addEventListener('resize', () => {
    const snowfall = document.querySelector('.snowfall');
    snowfall.innerHTML = '';
    createSnowfall();
});
